POST
Transfers/transfersتحويل بين المحافظ
ينقل الأموال بين محفظتين مع رسم اختياري.
مستوى الوصولcustomer_or_businessالحد20/minمنع التكرارbody:idempotency_keyالمصادقةBearerAuth
المصدر
LuxApi/app/Http/Controllers/Api/WalletApiController.php::transferLuxPayProjects @ 146e98baa44eالمعاملات
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...جسم الطلب
TransferRequestإلزامي
source_wallet_idinteger
Example:
42destination_wallet_idinteger
Example:
87amountnumber
Example:
1250.5currency_codestring
Example:
YERidempotency_keystring
Example:
transfer_01JABC...transfer_typestring
fee_amountnumber
descriptionstring | null
JSON example
{
"source_wallet_id": 42,
"destination_wallet_id": 87,
"amount": 1250.5,
"currency_code": "YER",
"idempotency_key": "transfer_01JABC...",
"transfer_type": "wallet_to_wallet",
"fee_amount": 0,
"description": "string"
}أمثلة الكود
العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request POST \
--url 'https://sandbox-api.luxpay.example/v1/transfers' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"source_wallet_id": 42,
"destination_wallet_id": 87,
"amount": 1250.5,
"currency_code": "YER",
"idempotency_key": "transfer_01JABC...",
"transfer_type": "wallet_to_wallet",
"fee_amount": 0,
"description": "string"
}'الاستجابات
200Successful response.
statusboolean
Example:
truemessagestring | null
dataTransfer
{
"status": true,
"message": "string",
"data": {
"uuid": "00000000-0000-4000-8000-000000000001",
"source_wallet_id": 1,
"destination_wallet_id": 1,
"amount": 1,
"currency_code": "string",
"fee_amount": 1,
"status": "string",
"idempotency_key": "string"
}
}